## lastfm 1.3.0.62

=== src/zlib-1.2.3/contrib/minizip/Makefile ===
CC=cc
CFLAGS=-O -I../..

CC=gcc
CXX=g++

UNZ_OBJS = miniunz.o unzip.o ioapi.o ../../libz.a
ZIP_OBJS = minizip.o zip.o   ioapi.o ../../libz.a

.c.o:
	$(CC) -c $(CFLAGS) $*.c

all: miniunz minizip

miniunz:  $(UNZ_OBJS)
	$(CC) $(CFLAGS) -o $@ $(UNZ_OBJS)

minizip:  $(ZIP_OBJS)
	$(CC) $(CFLAGS) -o $@ $(ZIP_OBJS)

test:	miniunz minizip
	./minizip test readme.txt
	./miniunz -l test.zip
	mv readme.txt readme.old
	./miniunz test.zip

clean:
	/bin/rm -f *.o *~ minizip miniunz

## lastfm 1.4.2.58240.dfsg

=== src/output/portAudio/CMakeLists.txt ===
project( tomahawk )
#find_package( Qt4 REQUIRED )

include( ${QT_USE_FILE} )
add_definitions( ${QT_DEFINITIONS} )
add_definitions( -DQT_PLUGIN )
add_definitions( -DQT_NO_DEBUG )
add_definitions( -DQT_SHARED )

if(UNIX AND NOT APPLE)
add_definitions( -DPA_LITTLE_ENDIAN -DPA_USE_ALSA=1 -DPA_USEOSS=1 )

set( portAudioOutputSources
        portAudioOutput.cpp

	./PortAudio/common/pa_skeleton.c
	./PortAudio/common/pa_process.c
	./PortAudio/common/pa_dither.c
	./PortAudio/common/pa_allocation.c
	./PortAudio/common/pa_converters.c
	./PortAudio/common/pa_cpuload.c
	./PortAudio/common/pa_front.c
	./PortAudio/common/pa_debugprint.c
	./PortAudio/common/pa_stream.c
	./PortAudio/common/pa_trace.c

	./PortAudio/hostapi/alsa/pa_linux_alsa.c
	./PortAudio/hostapi/oss/recplay.c
	./PortAudio/hostapi/oss/pa_unix_oss.c
	./PortAudio/os/unix/pa_unix_util.c
	./PortAudio/os/unix/pa_unix_hostapis.c
)

include_directories( . ../../interfaces ../../tomahawkLib
	PortAudio/include PortAudio/common PortAudio/os/unix
	${QT_INCLUDE_DIR}
)
endif(UNIX AND NOT APPLE)

if(APPLE)
add_definitions( -DPA_LITTLE_ENDIAN -DPA_USE_COREAUDIO=1 )

set( portAudioOutputSources
        portAudioOutput.cpp

	./PortAudio/common/pa_skeleton.c
	./PortAudio/common/pa_process.c
	./PortAudio/common/pa_dither.c
	./PortAudio/common/pa_allocation.c
	./PortAudio/common/pa_converters.c
	./PortAudio/common/pa_cpuload.c
	./PortAudio/common/pa_front.c
	./PortAudio/common/pa_debugprint.c
	./PortAudio/common/pa_stream.c
	./PortAudio/common/pa_trace.c

	./PortAudio/os/unix/pa_unix_util.c
	
	./PortAudio/hostapi/coreaudio/ringbuffer.c
	./PortAudio/hostapi/coreaudio/pa_mac_core.c
	./PortAudio/hostapi/coreaudio/pa_mac_core_blocking.c
	./PortAudio/hostapi/coreaudio/pa_mac_core_utilities.c
	./PortAudio/os/mac_osx/pa_mac_hostapis.c
)

include_directories( . ../../interfaces ../../tomahawkLib
	PortAudio/include PortAudio/common PortAudio/os/mac_osx
	${QT_INCLUDE_DIR}
)
endif(APPLE)

if(WIN32)
add_definitions( -Ldsound -DPA_USE_DSOUND=1 -DPA_NO_WMME=1 -DPA_NO_ASIO=1 )

set( portAudioOutputSources
        portAudioOutput.cpp

	./PortAudio/common/pa_skeleton.c
	./PortAudio/common/pa_process.c
	./PortAudio/common/pa_dither.c
	./PortAudio/common/pa_allocation.c
	./PortAudio/common/pa_converters.c
	./PortAudio/common/pa_cpuload.c
	./PortAudio/common/pa_front.c
	./PortAudio/common/pa_debugprint.c
	./PortAudio/common/pa_stream.c
	./PortAudio/common/pa_trace.c

	./PortAudio/os/win/pa_win_hostapis.c
	./PortAudio/os/win/pa_win_util.c

	./PortAudio/hostapi/dsound/pa_win_ds.c
	./PortAudio/hostapi/dsound/pa_win_ds_dynlink.c
)

include_directories( . ../../interfaces ../../tomahawkLib
	PortAudio/include PortAudio/common PortAudio/os/win
	dsound
	${QT_INCLUDE_DIR}
)
endif(WIN32)

set( portAudioOutputHeaders
        portAudioOutput.h
)

qt4_wrap_cpp( portAudioOutputMoc ${portAudioOutputHeaders} )
add_library( output_portAudio SHARED ${portAudioOutputSources} ${portAudioOutputMoc} )

if(UNIX AND NOT APPLE)
target_link_libraries( output_portAudio tomahawkLib
	asound rt m
	${QT_LIBRARIES}
)
endif(UNIX AND NOT APPLE)

if(APPLE)
target_link_libraries( output_portAudio tomahawkLib

	"-framework AudioToolbox"
	"-framework AudioUnit"
	"-framework CoreAudio"

	${QT_LIBRARIES}
)
endif(APPLE)

if(WIN32)
target_link_libraries( output_portAudio tomahawkLib
    dsound winmm ole32
	${QT_LIBRARIES}
)
endif(WIN32)

install( TARGETS output_portAudio DESTINATION bin/services )

## lastfm 1.5.4.26862+dfsg

=== debian/changelog ===
lastfm (1:1.5.4.26862+dfsg-6) unstable; urgency=high

  * Back out the undocumented changes that sneaked in with -5.  We only want
    the fix for CVE-2010-3362.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 04 Oct 2010 13:23:01 -0700

lastfm (1:1.5.4.26862+dfsg-5) unstable; urgency=high

  * Fix CVE-2010-3362: insecure library loading (Closes: #598294)

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 30 Sep 2010 14:03:23 -0700

lastfm (1:1.5.4.26862+dfsg-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.1.  No changes needed.
  * Fix warnings when compiling with Qt 4.7

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 04 Aug 2010 00:44:59 -0400

lastfm (1:1.5.4.26862+dfsg-3) unstable; urgency=low

  * Switch to dh and 3.0 (quilt) source format.
  * Add misc:Depends
  * Add a watch file (comments only)
  * merge reduce-linkage and link-to-needed patches

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 15 May 2010 09:09:54 -0700

lastfm (1:1.5.4.26862+dfsg-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4  No changes needed
  * Fix some text/icon display issues when using Qt 4.6

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 18 Mar 2010 22:16:48 -0700

lastfm (1:1.5.4.26862+dfsg-1) unstable; urgency=low

  * New upstream.
  * Removed patches:
    - cheaper-save-geometry: applied upstream
    - gcc-4.3: applied upstream
    - hide-crashreport-option: applied upstream
  * Add build-kfreebsd.diff to use OSS audio with non-Linux kernels
  * Add descriptions to the quilt patches
  * Link to all needed libraries (Closes: #555076)
  * Bump Standards-Version to 3.8.3  No changes needed

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 12 Nov 2009 12:31:50 -0800

lastfm (1:1.5.1.31879.dfsg-3) unstable; urgency=low

  * Remove lastfm protocol handler for KDE 3.
  * Fix painting of the sidebar background color during scroll.
  * Bump Standards-Version to 3.8.2.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 07 Jul 2009 20:25:54 -0700

lastfm (1:1.5.1.31879.dfsg-2) unstable; urgency=low

  * Add a lastfm protocol handler for KDE 4.
  * Add qt45.diff to fix building with Qt 4.5.  Thanks to Fabrice Coutadeur.
    (Closes: #524429)
  * Bump standards to 3.8.1.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Fri, 17 Apr 2009 20:59:43 -0700

lastfm (1:1.5.1.31879.dfsg-1) unstable; urgency=low

  * New upstream.
  * Install all binaries into /usr/lib/lastfm and remove the lintian override.
    /usr/bin/lastfm is now a script. (Closes: #455073)
  * Bump standards to 3.8.0
    - Move README.Debian-source to README.source and update it.
  * Added patches:
    - hide-crashreport-option: release builds don't do crash reports.
    - set-firstrun-status: don't re-run the setup wizard on every startup.
  * Changed patches:
    - build-fixes: split into build-fixes and reduce-linkage.
    - save-window-states: reduce its scope and rename to cheaper-save-geometry
    - dirpaths: don't change where to look for plugins.
    - alsa-qdebug => alsa-uses-qdebug
    - no-fingerprint => no-fingerprint-lib
    - no-scrobble-directories => hide-scrobbledir-option
  * Removed patches:
    - translations
  * Sync remaining patches.

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 10 Jul 2008 11:16:32 -0700

lastfm (1:1.4.2.58240.dfsg-3) unstable; urgency=low

  * Add DM-Upload-Allowed header.

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 05 Jul 2008 13:55:55 -0700

lastfm (1:1.4.2.58240.dfsg-2) unstable; urgency=low

  [ John Stamp ]
  * Add zlib1g-dev to build depends due to recent Qt4 dependency cleanup
    (Closes: #476998)

  [ Adeodato Simó ]
  * Add libx11-dev and x11proto-core-dev to Build-Depends as well.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 21 Apr 2008 09:48:20 -0700

lastfm (1:1.4.2.58240.dfsg-1) unstable; urgency=low

  * New Upstream.
  * Build with libgpod-nogtk-dev.
  * Added patches:
    - check-soundcard-errors: Don't crash if another program is already using
      the audio device. See LP #188490 for the original report.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 05 Feb 2008 23:16:36 -0800

lastfm (1:1.4.1.57486.dfsg-1) unstable; urgency=low

  * Added patches:
    - gcc-4.3.patch: fix compilation on gcc-4.3.
    - no-fingerprint: the fingerprint library isn't needed on Linux and would
      pull in more dependencies.
    - alsa-qdebug: decrease plugin size and reduce unnecessary noisiness in
      the log file.
    - no-scrobble-directories: renamed from no-mediadevice to account for the
      patch's reduced scope.
  * Removed patches:
    - 07_tooltip-segfault-fix
    - 08_silence-debug.diff
    - 11_close-fds
    - 12_fix-http-hangs
    These worked around various bugs that are no longer present in lastfm or
    Qt.
  * Sync remaining patches.
  * Update manpage.
  * Remove deprecated Encoding key in desktop file.
  * Update debian/copyright and make it machine readable.
  * Update README.Debian-source to account for removed source files.
  * Add Homepage field to debian/control and remove dependency on gconf.
  * Bump standards version to 3.7.3.  No changes needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Fri, 14 Dec 2007 20:07:00 -0800

lastfm (1:1.3.2.14.dfsg-1) unstable; urgency=low

  * Added patches:
    - 00_build-fixes
    - 10_save-window-states: properly save window size/state and prevent the
      client from becoming unrecoverably invisible
    - 11_close-fds: invoking a browser or editor no longer blocks audio device
    - 12_fix-http-hangs: Prevent the client from hanging when fetching
      artist/album images. Many thanks to Markus Järvinen for his help in
      tracking this down. (Closes: #435128)
  * Changed patches:
    - 01_translations: fix a mistranslated string
  * Removed patches:
    - 04_alsaplayback: applied upstream
    - 04_transcode: applied upstream
    - 10_container-load: merge with save-window-states; they both modify the


=== debian/control ===
Source: lastfm
Section: sound
Priority: optional
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.3.0), libgpod-nogtk-dev,
 libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev,
 libasound2-dev (>= 1.0.9) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
Homepage: http://www.last.fm/
Vcs-Git: git://git.mehercule.net/lastfm.git
DM-Upload-Allowed: yes

Package: lastfm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iceweasel | www-browser
Description: a music player for Last.fm personalized radio
 Last.fm is the flagship product from the team that designed the Audioscrobbler
 system, a music engine based on a massive collection of Music Profiles.
 Each music profile belongs to one person, and describes their taste in music.
 Last.fm uses these music profiles to make personalized recommendations, match
 you up with people who like similar music, and generate custom radio
 stations for each person.
 .
 This package will allow you to play your personalized radio station streams
 from the Last.fm website.  You will need a (free) account there to make use
 of this package.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean -Sqmake
	rm -rf bin/services/* build i18n/*.qm

override_dh_auto_configure:
	dh_auto_configure -Sqmake

override_dh_auto_build:
	dh_auto_build -Sqmake
	cd i18n; lrelease-qt4 *.ts

override_dh_makeshlibs:
	dh_makeshlibs --exclude=usr/lib/lastfm

override_dh_shlibdeps:
	dh_shlibdeps -l $(DESTDIR)/usr/lib/lastfm

%:
	dh $@

## lastfm 1.5.4.27091+dfsg

=== debian/changelog ===
lastfm (1:1.5.4.27091+dfsg-4) unstable; urgency=low

  * debian/patches/build-fixes.diff: use pkg-config instead of hard-coding
    include paths for glib-2.0 and libgpod.  Closes: #621832, LP: #749089.
  * debian/patches/build-kfreebsd.diff: drop references to /usr/local, which
    have nothing at all to do with a kfreebsd build.
  * Clean the architecture dependent stuff in Build-Depends

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 11 Apr 2011 16:14:56 -0700

lastfm (1:1.5.4.27091+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- John Stamp <jstamp@users.sourceforge.net>  Sun, 13 Mar 2011 17:57:18 -0700

lastfm (1:1.5.4.27091+dfsg-2) experimental; urgency=low

  * Added patch:
    - sidebar-crash-fix: prevent a crash when dragging sidebar items

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 08 Dec 2010 13:49:09 -0800

lastfm (1:1.5.4.27091+dfsg-1) experimental; urgency=low

  * New upstream.
  * Update debian/rules so the client doesn't spam stdout with debug info
    (Closes: #599605)
  * Added patches:
    - gcc41.diff: fix compilation with gcc >= 4.1
    - hide-loved-radio.diff: this is now unsupported, but the new version
      didn't fully remove it
    - ipod-scrobble-fix.diff: identify ipods by their FirewireGuid; this
      should prevent the duplicate scrobbles bug

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 06 Dec 2010 11:47:33 -0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: John Stamp <jstamp@users.sourceforge.net>
 Build-Depends: debhelper (>= 7.4.12), libqt4-dev (>= 4.3.0), libgpod-nogtk-dev,
- libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev,
- libasound2-dev (>= 1.0.9) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+ libmad0-dev, zlib1g-dev, libx11-dev, x11proto-core-dev, pkg-config,
+ libasound2-dev (>= 1.0.9) [linux-any]
 Standards-Version: 3.9.1
 Homepage: http://www.last.fm/
 Vcs-Git: git://git.mehercule.net/lastfm.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	rm -rf bin/services/* build i18n/*.qm
 
 override_dh_auto_configure:
-	dh_auto_configure -Sqmake
+	dh_auto_configure -Sqmake -- "DEFINES += NDEBUG"
 
 override_dh_auto_build:
 	dh_auto_build -Sqmake

## lastfm 1.5.4.27091+dfsg1

=== debian/changelog ===
lastfm (1:1.5.4.27091+dfsg1-1ubuntu1) quantal; urgency=low

  * Resync on Debian.
    - debian/patches/fix_ftbfs.diff: change include from glib/glist.h
      into glib.h. This fixes FTBFS. (LP: #1002885)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 22 May 2012 15:42:10 +0200

lastfm (1:1.5.4.27091+dfsg1-1) unstable; urgency=low

  * Remove bundled mpglib
  * Fix compilation with gcc 4.7 (Closes: #667236)
  * Compile with hardened build flags
  * Update debian/copyright
  * Update Standards-Version to 3.9.3

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 07 May 2012 17:07:35 -0700

lastfm (1:1.5.4.27091+dfsg-6) unstable; urgency=low

  * Fix include flags on Debian GNU/kFreeBSD. Thanks to Christoph Egger.
    Closes: #632506

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 02 Jul 2011 19:17:22 -0700

lastfm (1:1.5.4.27091+dfsg-5) unstable; urgency=low

  * debian/patches/do_not_prevent_logouts.patch: do not prevent logging out
    when the main window is visible. Closes: #632050, LP: #757794
  * Remove obsolete debian/lastfm.preinst
  * Add libqt4-sql-sqlite to Recommends. LP: #449955
  * Bump Standards-Version to 3.9.2.  No changes needed.
  * Fix description-synopsis-starts-with-article lintian warning

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 02 Jul 2011 13:27:36 -0700

=== debian/control ===
Source: lastfm
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends:
 debhelper (>= 7.4.12),
 dpkg-dev (>= 1.16.1~),
 libasound2-dev (>= 1.0.9) [linux-any],
 libgpod-nogtk-dev,
 libmad0-dev,
 libqt4-dev (>= 4.3.0),
 libx11-dev,
 pkg-config,
 x11proto-core-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.last.fm/
Vcs-Git: git://git.mehercule.net/lastfm.git
DM-Upload-Allowed: yes

Package: lastfm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iceweasel | www-browser, libqt4-sql-sqlite
Description: music player for Last.fm personalized radio
 Last.fm is the flagship product from the team that designed the Audioscrobbler
 system, a music engine based on a massive collection of Music Profiles.
 Each music profile belongs to one person, and describes their taste in music.
 Last.fm uses these music profiles to make personalized recommendations, match
 you up with people who like similar music, and generate custom radio
 stations for each person.
 .
 This package will allow you to play your personalized radio station streams
 from the Last.fm website.  You will need a (free) account there to make use
 of this package.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS := 1
+include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_clean:
 	dh_auto_clean -Sqmake

=== debian/watch ===
# Upstream has not been releasing tarballs at a consistent location, so a watch
# file won't help.  The situation should improve with the next major version of
# the client.
